// FPSMS-backend/src/main/java/com/ffii/fpsms/modules/stock/entity/PickExecutionIssueRepository.kt
package com.ffii.fpsms.modules.pickOrder.entity 

import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface PickExecutionIssueRepository : JpaRepository<PickExecutionIssue, Long> {
    fun findByPickOrderIdAndDeletedFalse(pickOrderId: Long): List<PickExecutionIssue>
    fun findByPickOrderLineIdAndDeletedFalse(pickOrderLineId: Long): List<PickExecutionIssue>
    fun findByLotIdAndDeletedFalse(lotId: Long): List<PickExecutionIssue>
    fun findByPickOrderLineIdAndLotIdAndDeletedFalse(
        pickOrderLineId: Long, 
        lotId: Long
    ): List<PickExecutionIssue>
}